API ReferenceInvoices
Finalize a draft invoice
Locks the invoice, preventing further edits. Status changes from 'draft' to 'finalized'. Must be finalized before sending.
Authorization
apiKey AuthorizationBearer <token>
API key issued from your AgentInvoice account settings.
In: header
Path Parameters
id*integer
Invoice ID
Response Body
application/json
curl -X POST "https://app.agentinvoice.co/api/invoices/0/finalize"{
"id": 101,
"clientId": 42,
"invoiceNumber": "INV-0042",
"status": "draft",
"currency": "USD",
"subtotal": "1500.00",
"taxTotal": "150.00",
"total": "1650.00",
"amountPaid": "0.00",
"notes": "string",
"terms": "string",
"dueDate": "2019-08-24T14:15:22Z",
"issueDate": "2019-08-24T14:15:22Z",
"sentAt": "2019-08-24T14:15:22Z",
"paidAt": "2019-08-24T14:15:22Z",
"publicToken": "string",
"clientName": "string",
"clientEmail": "string",
"lineItems": [
{
"id": 1,
"description": "Web development - 10 hours",
"quantity": "10.00",
"unitPrice": "150.00",
"taxRate": "0.10",
"amount": "1500.00",
"sortOrder": 0
}
],
"stripePaymentLink": "string",
"stripeCheckoutSessionId": "string",
"spiffyPaymentLink": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}